Package org.apache.maven.scm.provider.cvslib.command.login

## Class CvsPass

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.command.login.CvsPass

    public class CvsPass
    extends java.lang.Object

Adds an new entry to a CVS password file.

### Constructor Summary

Constructors
`CvsPass​(ScmLogger logger)` Create a CVS task using the default cvspass file location.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()` Does the work.
`void` `setCvsroot​(java.lang.String cvsRoot)` The CVS repository to add an entry for.
`void` `setPassfile​(java.io.File passFile)` Password file to add the entry to.
`void` `setPassword​(java.lang.String password)` Password to be added to the password file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsPass

    public CvsPass​(ScmLogger logger)

Create a CVS task using the default cvspass file location.

### Method Detail

#### execute

    public final void execute()
                       throws ScmException,
                              java.io.IOException

Does the work.

Throws:
  `ScmException` - if something is missing
  `java.io.IOException` - if something goes wrong

#### setCvsroot

    public void setCvsroot​(java.lang.String cvsRoot)

The CVS repository to add an entry for.

Parameters:
  `cvsRoot` - the CVS repository

#### setPassfile

    public void setPassfile​(java.io.File passFile)

Password file to add the entry to.

Parameters:
  `passFile` - the password file.

#### setPassword

    public void setPassword​(java.lang.String password)

Password to be added to the password file.

Parameters:
  `password` - the password.